const PlaceLogs = [];
export class BlockComponentLogPlacement {
    beforeOnPlayerPlace = (data) => {
        const { block, player } = data;
        if (!player)
            return;
        data.permutationToPlace = data.permutationToPlace.withState(this.stateId, data.face.toLowerCase());
    };
    stateId;
    constructor(stateId) {
        this.stateId = stateId;
    }
}
